# Uses of Interface
org.eclipse.compare.ICompareContainer

Packages that use ICompareContainer
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.internal
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of ICompareContainer in org.eclipse.compare

Classes in org.eclipse.compare that implement ICompareContainer
Modifier and Type
Class
Description
`class`
`CompareEditorInput`
A compare operation which can present its results in a special editor.
Methods in org.eclipse.compare that return ICompareContainer
Modifier and Type
Method
Description
`ICompareContainer`
CompareConfiguration.`getContainer()`
Return the container of the compare associated with this configuration.
`final ICompareContainer`
CompareEditorInput.`getContainer()`
Returns the container of this input or `null` if there is no container set.
Methods in org.eclipse.compare with parameters of type ICompareContainer
Modifier and Type
Method
Description
`void`
CompareConfiguration.`setContainer(ICompareContainer container)`
Set the container of the compare associated with this configuration.
`void`
CompareEditorInput.`setContainer(ICompareContainer container)`
Sets the container of this input to the given container

## Uses of ICompareContainer in org.eclipse.compare.internal

Classes in org.eclipse.compare.internal that implement ICompareContainer
Modifier and Type
Class
Description
`class`
`CompareContainer`
Methods in org.eclipse.compare.internal with parameters of type ICompareContainer
Modifier and Type
Method
Description
`static CompareHandlerService`
CompareHandlerService.`createFor(ICompareContainer container, Shell shell)`
Constructors in org.eclipse.compare.internal with parameters of type ICompareContainer
Modifier
Constructor
Description
``
`MergeSourceViewer(SourceViewer sourceViewer, ResourceBundle bundle, ICompareContainer container)`

## Uses of ICompareContainer in org.eclipse.team.ui

Classes in org.eclipse.team.ui that implement ICompareContainer
Modifier and Type
Class
Description
`class`
`PageCompareEditorInput`
Abstract class for hosting a page based structure input view for the purposes of feeding compare viewers.

## Uses of ICompareContainer in org.eclipse.team.ui.history

Classes in org.eclipse.team.ui.history that implement ICompareContainer
Modifier and Type
Class
Description
`class`
`HistoryPageCompareEditorInput`
Displays a history page combined with the compare/merge infrastructure.

## Uses of ICompareContainer in org.eclipse.team.ui.synchronize

Classes in org.eclipse.team.ui.synchronize that implement ICompareContainer
Modifier and Type
Class
Description
`class`
`ParticipantPageCompareEditorInput`
Displays a synchronize participant page combined with the compare/merge infrastructure.
`class`
`SaveableCompareEditorInput`
A compare editor input that makes use of a `Saveable` to manage the save lifecycle of the editor input.
`final class`
`SyncInfoCompareInput`
A `SyncInfo` editor input used as input to a two-way or three-way compare viewer.